from setuptools import find_packages, setup
# Define our package
setup(
    name="MeTA-Neuro",
    version='0.0.1',
    license='MIT',
    description="Medial Tractography Analysis (MeTA) for White Matter Population Analyses Across Datasets",
    author="Iyad Ba Gari, Shayan Javid,",
    author_email="bagari@usc.edu, javidyaz@usc.edu",
    url="https://github.com/USCLoBeS/NeuroMeTA",
    python_requires=">=3.9",
    packages=find_packages('src'),
    package_dir={'': 'src'},
    install_requires=['appnope', 
    'asttokens',
    'backcall', 
    'certifi==2023.5.7',
    'charset-normalizer==3.1.0',
    'contourpy==1.0.7',
    'cycler==0.11.0',
    'debugpy',
    'decorator',
    'dipy==1.7.0',
    'entrypoints',
    'executing',
    'fonttools==4.39.3', 
    'h5py==3.8.0', 
    'idna==3.4',
    'imageio==2.28.1',
    'importlib-resources==5.12.0',
    'jedi',
    'joblib==1.2.0',
    'kiwisolver==1.4.4',
    'lazy_loader==0.2',
    'matplotlib==3.7.1',
    'matplotlib-inline',
    'nest-asyncio',
    'networkx==3.1',
    'nibabel==5.1.0',
    'numpy==1.24.3', 
    'packaging==23.1',
    'pandas==2.0.1',
    'parso',
    'patsy==0.5.3',
    'pexpect',
    'pickleshare',
    'Pillow==9.5.0',
    'platformdirs==3.5.0',
    'plotly==5.14.1',
    'pooch==1.7.0',
    'prompt-toolkit',
    'ptyprocess',
    'pure-eval',
    'Pygments',
    'pyparsing==3.0.9',
    'python-dateutil',
    'pytz==2023.3',
    'pyvista==0.39.0',
    'PyWavelets==1.4.1',
    'pyzmq',
    'requests==2.30.0',
    'scikit-image==0.20.0',
    'scikit-learn==1.2.2',
    'scipy==1.9.1',
    'scooby==0.7.2',
    'six',
    'stack-data',
    'statsmodels==0.14.0',
    'tenacity==8.2.2',
    'threadpoolctl==3.1.0',
    'tifffile==2023.4.12',
    'tornado',
    'tqdm==4.65.0',
    'traitlets',
    'tzdata==2023.3',
    'urllib3==2.0.2',
    'vtk==9.2.6',
    'wcwidth',
    'zipp==3.15.0'],
)